curl --request GET \
--url https://api.grainfinance.co/v1/customers/{customerId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.grainfinance.co/v1/customers/{customerId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.grainfinance.co/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1b0ada1e-fa1b-4cfe-a553-01b340c5650e",
"companyName": "Ollivander's Wand Shop",
"companyCountry": "GB",
"externalCustomerId": "630231b3ae0d7e9e5097ad35",
"status": "Pending",
"companyAddress": "12 Diagon Alley",
"companyCity": "London",
"companyState": "London",
"contactEmail": "customer@company.com",
"contactFullName": "Garrick Ollivander",
"contactPhoneNumber": "+12125551234",
"companyTaxId": "123-45-6789",
"extraFields": {
"field_a": "value_a",
"field_b": "value_b"
}
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}Get Customer
Retrieves a specific customer by its Grain customer ID.
Authorizations
Basic authentication using the partner API keys from https://console.grainfinance.co/keys
Path Parameters
The UUID of the customer
[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}Response
Customer Found
The id of the customer within the Grain platform.
[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}"1b0ada1e-fa1b-4cfe-a553-01b340c5650e"
The legal name of the customer's company
"Ollivander's Wand Shop"
The alpha-2 ISO 3166 country code of the entity's country.
^[A-Za-z]{2}$"GB"
The id used to identify the customer within your platform
"630231b3ae0d7e9e5097ad35"
The eligibility of the customer to receive quotes
Pending, Approved, Rejected The address of the company
"12 Diagon Alley"
The city of the company
"London"
The state the company is in (US based)
"London"
The email for the company's primary contact
"customer@company.com"
The name of the company's primary contact
"Garrick Ollivander"
The phone number of the company's primary contact
"+12125551234"
The tax identification or registration number of the company
"123-45-6789"
Additional fields that provide further details about the customer. These fields should be specified as a valid JSON object.
Show child attributes
Show child attributes
{
"field_a": "value_a",
"field_b": "value_b"
}